Datastores
Datastore - Upsert Documents
POST
/
external
/
datastores
/
upsert
/
{id}
Inserta o actualiza documentos de texto en un datastore
curl --request POST \
--url https://app.braviloai.com/api/external/datastores/upsert/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documents": [
{
"text": "<string>",
"id": "<string>",
"name": "<string>",
"metadata": {}
}
]
}
'import requests
url = "https://app.braviloai.com/api/external/datastores/upsert/{id}"
payload = { "documents": [
{
"text": "<string>",
"id": "<string>",
"name": "<string>",
"metadata": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documents: [{text: '<string>', id: '<string>', name: '<string>', metadata: {}}]
})
};
fetch('https://app.braviloai.com/api/external/datastores/upsert/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ids": [
"<string>"
]
}Inserta o actualiza múltiples documentos de texto en un datastore. Los documentos se procesan de forma asíncrona para generar embeddings.
Si el datastore es público, no se requiere token de autorización.
Ejemplo
curl -X POST https://app.braviloai.com/api/external/datastores/upsert/${datastoreId} \
-H "Authorization: Bearer ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{
"documents": [
"id": "doc_001",
"name": "Política de Privacidad",
"text": "El contenido completo del documento...",
"metadata": { "source_url": "https://ejemplo.com/privacidad" }
]
}'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID del datastore
Body
application/json
Show child attributes
Show child attributes
Response
Documentos creados y encolados para procesamiento
⌘I
Inserta o actualiza documentos de texto en un datastore

